
## FreeSound limits
* 2000 per day
* 60 requests per minute

The usage of the APIv2 is limited to certain usage rates. The standard usage rate is set to 60 requests per minute and 2000 requests per day. Resources including uploading, describing, commenting, rating and bookmarking sounds have a more strict rate of 30 requests per minute and 500 requests per day.
If a request is throttled, the APIv2 will return a 429 Too many requests response error with a detail field indicating which rate limit has been exceeded.

## Inputs
* include.csv => include_tags (seperated by ;), exclude_tags (seperated by ;), limit (0 if no limit)
    * spaces not allowed in tags!
* credentials.json => API

## FreeSound API
https://freesound.org/docs/api/resources_apiv2.html
page_size	string	Indicates the number of sounds per page to include in the result. By default page_size=15, and the maximum is page_size=150. Not that with bigger page_size, more data will need to be transferred.

## Usage

First prepare csv for downloads:
python ./main.py

Then download particular part of csv
python ./main.py -path_download_csv ./output/csv/freesound-0.csv