from typing import List
from subprocess import call, Popen

from modules.file_utils import FileUtils

samples: List = FileUtils.listSubFiles(
    '/media/hdd_data2/laugh_asya_ai/static/data/freesound_laugh_2020_nov/audio',
    is_full_path=True
)
for sample in samples:
    if not sample.lower().endswith('.wav'):
        sample_out = sample[:sample.rindex('.')] + '.wav'
        cmd = f'ffmpeg -i {sample} -acodec pcm_s16le -ac 1 -ar 16000 {sample_out} -n'
        print(cmd)

        p = Popen(cmd.split(' '))
        p.wait()
        print(f'p.stdout: {p.stdout}')
        print(f'p.stderr: {p.stderr}')
        print('\n\n')